TokensApi
Method
HTTP request
Description
RegistriesTokensDelete
var result = RegistriesTokensDelete(ctx, registryId, tokenId)
.Execute()Example
package main
import (
"context"
"fmt"
"os"
ionoscloud "github.com/ionos-cloud/sdk-go-container-registry"
)
func main() {
registryId := "38400000-8cf0-11bd-b23e-10b96e4ef00d" // string | The unique ID of the registry
tokenId := "38400000-8cf0-11bd-b23e-10b96e4ef00d" // string | The unique ID of the token
configuration := ionoscloud.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
apiClient := ionoscloud.NewAPIClient(configuration)
resp, err := apiClient.TokensApi.RegistriesTokensDelete(context.Background(), registryId, tokenId).Execute()
if err != nil {
fmt.Fprintf(os.Stderr, "Error when calling `TokensApi.RegistriesTokensDelete``: %v\n", err)
fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
}
}Path Parameters
Name
Type
Description
Notes
Other Parameters
Return type
HTTP request headers
URLs Configuration per Operation
RegistriesTokensFindById
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Return type
HTTP request headers
URLs Configuration per Operation
RegistriesTokensGet
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
RegistriesTokensPatch
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
RegistriesTokensPost
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
RegistriesTokensPut
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
Last updated
Was this helpful?